Package org.jfree.report.util.beans

# Class ConverterRegistry

java.lang.Object
org.jfree.report.util.beans.ConverterRegistry

public final class ConverterRegistry extends Object

## Method Summary

Modifier and Type
Method
Description
`static ConverterRegistry`
`getInstance()`
`ValueConverter`
`getValueConverter(Class c)`
`static String`
`toAttributeValue(Object o)`
Converts an object to an attribute value.
`static Object`
`toPropertyValue(String s, Class c)`
Converts a string to a property value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static ConverterRegistry getInstance()

### getValueConverter

public ValueConverter getValueConverter(Class c)

### toAttributeValue

public static String toAttributeValue(Object o) throws BeanException
Converts an object to an attribute value.

Parameters:
  `o` - the object.
Returns:
  the attribute value.
Throws:
  `BeanException` - if there was an error during the conversion.

### toPropertyValue

public static Object toPropertyValue(String s, Class c) throws BeanException
Converts a string to a property value.

Parameters:
  `s` - the string.
Returns:
  a property value.
Throws:
  `BeanException` - if there was an error during the conversion.